package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.MetadataProperty;
import com.oguerreiro.resilient.repository.MetadataPropertyRepository;
import com.oguerreiro.resilient.service.dto.MetadataPropertyDTO;
import com.oguerreiro.resilient.service.mapper.MetadataPropertyMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.MetadataProperty}.
 */
@Service
@Transactional
public class MetadataPropertyService extends AbstractResilientService<MetadataPropertyDTO, MetadataProperty, Long> {

  public MetadataPropertyService(MetadataPropertyRepository metadataPropertyRepository,
      MetadataPropertyMapper metadataPropertyMapper) {
    super(MetadataProperty.class, metadataPropertyRepository, metadataPropertyMapper);

  }

}
